﻿<HandleError()>
Public Class HomeController
    Inherits System.Web.Mvc.Controller

    Public Function Index() As ActionResult
        Dim svcUri = New Uri("http://odata.netflix.com//v1//Catalog")

        Dim context = New NetflixOData.NetflixCatalog(svcUri)
        Dim query = From genre In context.Genres
                    Where genre.Name = "Independent"
                    From title In genre.Titles
                    Where title.ReleaseYear >= 2009
                    Select title
        Dim titles = query.ToList()
        Return View(titles)
    End Function

    Function About() As ActionResult
        Return View()
    End Function
End Class
